package com.skr.mdm.api.statistics.service;

import com.skr.mdm.dto.LoginAdminDTO;
import com.skr.mdm.result.ResponseResult;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.text.ParseException;

/**
 * @author nfq
 * @date 2021/1/25 10:44
 */
public interface StatisticsService {

    ResponseResult appInstallStatistics(Integer companyId, String startTime, String endTime);

    ResponseResult clientUpgradeStatistics(Integer companyId, String startTime, String endTime);

    ResponseResult cmdStatistics(Integer companyId, String startTime, String endTime) throws ParseException;

    void export(LoginAdminDTO loginAdminDTO, String startTime, String endTime, HttpServletResponse response) throws IOException, ParseException;
}